SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - c -

- ConvertFromSkp() : SketchUpModelExporterInterface
- ConvertToSkp() : SketchUpModelImporterInterface
- SUCameraCreate() : SUCameraRef
- SUCameraGet2D() : SUCameraRef
- SUCameraGetAspectRatio() : SUCameraRef
- SUCameraGetCenter2D() : SUCameraRef
- SUCameraGetClippingDistances() : SUCameraRef
- SUCameraGetDescription() : SUCameraRef
- SUCameraGetDirection() : SUCameraRef
- SUCameraGetFOVIsHeight() : SUCameraRef
- SUCameraGetImageWidth() : SUCameraRef
- SUCameraGetOrientation() : SUCameraRef
- SUCameraGetOrthographicFrustumHeight() : SUCameraRef
- SUCameraGetPerspective() : SUCameraRef
- SUCameraGetPerspectiveFrustumFOV() : SUCameraRef
- SUCameraGetScale2D() : SUCameraRef
- SUCameraGetViewTransformation() : SUCameraRef
- SUCameraRelease() : SUCameraRef
- SUCameraSet2D() : SUCameraRef
- SUCameraSetAspectRatio() : SUCameraRef
- SUCameraSetCenter2D() : SUCameraRef
- SUCameraSetDescription() : SUCameraRef
- SUCameraSetFOVIsHeight() : SUCameraRef
- SUCameraSetImageWidth() : SUCameraRef
- SUCameraSetOrientation() : SUCameraRef
- SUCameraSetOrthographicFrustumHeight() : SUCameraRef
- SUCameraSetPerspective() : SUCameraRef
- SUCameraSetPerspectiveFrustumFOV() : SUCameraRef
- SUCameraSetScale2D() : SUCameraRef
- SUClassificationAttributeGetChild() : SUClassificationAttributeRef
- SUClassificationAttributeGetNumChildren() : SUClassificationAttributeRef
- SUClassificationAttributeGetPath() : SUClassificationAttributeRef
- SUClassificationAttributeGetValue() : SUClassificationAttributeRef
- SUClassificationInfoGetNumSchemas() : SUClassificationInfoRef
- SUClassificationInfoGetSchemaAttribute() : SUClassificationInfoRef
- SUClassificationInfoGetSchemaAttributeByPath() : SUClassificationInfoRef
- SUClassificationInfoGetSchemaName() : SUClassificationInfoRef
- SUClassificationInfoGetSchemaType() : SUClassificationInfoRef
- SUClassificationInfoRelease() : SUClassificationInfoRef
- SUClassificationsGetNumSchemas() : SUClassificationsRef
- SUClassificationsGetSchema() : SUClassificationsRef
- SUClassificationsGetSchemas() : SUClassificationsRef
- SUClassificationsLoadSchema() : SUClassificationsRef
- SUColorBlend() : SUColor
- SUColorGetNames() : SUColor
- SUColorGetNumNames() : SUColor
- SUColorSetByName() : SUColor
- SUColorSetByValue() : SUColor
- SUComponentDefinitionApplySchemaType() : SUComponentDefinitionRef
- SUComponentDefinitionCreate() : SUComponentDefinitionRef
- SUComponentDefinitionCreateInstance() : SUComponentDefinitionRef
- SUComponentDefinitionFromDrawingElement() : SUComponentDefinitionRef
- SUComponentDefinitionFromEntity() : SUComponentDefinitionRef
- SUComponentDefinitionGetBehavior() : SUComponentDefinitionRef
- SUComponentDefinitionGetDescription() : SUComponentDefinitionRef
- SUComponentDefinitionGetEntities() : SUComponentDefinitionRef
- SUComponentDefinitionGetGuid() : SUComponentDefinitionRef
- SUComponentDefinitionGetInsertPoint() : SUComponentDefinitionRef
- SUComponentDefinitionGetInstances() : SUComponentDefinitionRef
- SUComponentDefinitionGetLoadTime() : SUComponentDefinitionRef
- SUComponentDefinitionGetName() : SUComponentDefinitionRef
- SUComponentDefinitionGetNumInstances() : SUComponentDefinitionRef
- SUComponentDefinitionGetNumOpenings() : SUComponentDefinitionRef
- SUComponentDefinitionGetNumUsedInstances() : SUComponentDefinitionRef
- SUComponentDefinitionGetOpenings() : SUComponentDefinitionRef
- SUComponentDefinitionGetPath() : SUComponentDefinitionRef
- SUComponentDefinitionGetType() : SUComponentDefinitionRef
- SUComponentDefinitionIsInternal() : SUComponentDefinitionRef
- SUComponentDefinitionIsLiveComponent() : SUComponentDefinitionRef
- SUComponentDefinitionIsManifold() : SUComponentDefinitionRef
- SUComponentDefinitionOrientFacesConsistently() : SUComponentDefinitionRef
- SUComponentDefinitionRelease() : SUComponentDefinitionRef
- SUComponentDefinitionSaveToFile() : SUComponentDefinitionRef
- SUComponentDefinitionSetAxes() : SUComponentDefinitionRef
- SUComponentDefinitionSetBehavior() : SUComponentDefinitionRef
- SUComponentDefinitionSetDescription() : SUComponentDefinitionRef
- SUComponentDefinitionSetInsertPoint() : SUComponentDefinitionRef
- SUComponentDefinitionSetName() : SUComponentDefinitionRef
- SUComponentDefinitionToDrawingElement() : SUComponentDefinitionRef
- SUComponentDefinitionToEntity() : SUComponentDefinitionRef
- SUComponentInstanceComputeVolume() : SUComponentInstanceRef
- SUComponentInstanceCreateClassificationInfo() : SUComponentInstanceRef
- SUComponentInstanceCreateDCInfo() : SUComponentInstanceRef
- SUComponentInstanceFromDrawingElement() : SUComponentInstanceRef
- SUComponentInstanceFromEntity() : SUComponentInstanceRef
- SUComponentInstanceGetAttachedInstances() : SUComponentInstanceRef
- SUComponentInstanceGetAttachedToDrawingElements() : SUComponentInstanceRef
- SUComponentInstanceGetDefinition() : SUComponentInstanceRef
- SUComponentInstanceGetGuid() : SUComponentInstanceRef
- SUComponentInstanceGetName() : SUComponentInstanceRef
- SUComponentInstanceGetNumAttachedInstances() : SUComponentInstanceRef
- SUComponentInstanceGetNumAttachedToDrawingElements() : SUComponentInstanceRef
- SUComponentInstanceGetTransform() : SUComponentInstanceRef
- SUComponentInstanceIsLocked() : SUComponentInstanceRef
- SUComponentInstanceRelease() : SUComponentInstanceRef
- SUComponentInstanceSaveAs() : SUComponentInstanceRef
- SUComponentInstanceSetGuid() : SUComponentInstanceRef
- SUComponentInstanceSetLocked() : SUComponentInstanceRef
- SUComponentInstanceSetName() : SUComponentInstanceRef
- SUComponentInstanceSetTransform() : SUComponentInstanceRef
- SUComponentInstanceToDrawingElement() : SUComponentInstanceRef
- SUComponentInstanceToEntity() : SUComponentInstanceRef
- SUCurveCreateWithEdges() : SUCurveRef
- SUCurveFromEntity() : SUCurveRef
- SUCurveGetEdges() : SUCurveRef
- SUCurveGetNumEdges() : SUCurveRef
- SUCurveGetType() : SUCurveRef
- SUCurveIsPolygon() : SUCurveRef
- SUCurveRelease() : SUCurveRef
- SUCurveToEntity() : SUCurveRef